Threads
Stream a run with Deep Agent
Invokes Deep Agent and streams the response as NDJSON with a list of content blocks. Only available for Deep Agent (content_blocks = True).
POST
/v1/threads/{thread_id}/run/events/streamAuthorization
APIKeyHeader api-key<token>
In: header
Path Parameters
thread_id*|null
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/run/events/stream" \ -H "Content-Type: application/json" \ -d '{}'{ "created_at": "2025-03-15T09:13:02.654321Z", "delta": { "content": [ { "reasoning": "The user is asking about notice periods during probation.", "type": "reasoning" } ], "role": "assistant", "sources": [] }, "message_id": "5e6f7081-9012-def0-1234-556677889900", "thread_id": "1a2b3c4d-5678-9abc-def0-112233445566"}{ "error_code": "content_filter_error", "detail": "Could not parse response content as the request was rejected by the content filter."}{ "error_code": "unauthorized", "detail": "Missing or invalid API key"}{ "error_code": "assistant_not_found", "detail": "Assistant not found"}{ "error_code": "engine_does_not_support_content_blocks", "detail": "This assistant does not support content block streaming. Please use POST /v1/threads/{thread_id}/run/stream instead."}{ "message": "Rate limit exceeded!"}{ "error_code": "internal_server_error", "detail": "Internal Server Error"}